import sys
from csv import DictReader


def main():
    if len(sys.argv)<4:
        print "Error: Insufficient arguments"
        return

    KEY1 = sys.argv[1]
    KEY2 = sys.argv[2]
    if ".csv" in KEY1 or ".csv" in KEY2:
        print "Error: provide two keys followed by one or more csvs"
        return

    for file in sys.argv[3:]:
        f = open(file, 'r')
        d = DictReader(f)

        if KEY1 not in d.fieldnames or KEY2 not in d.fieldnames:
            print "Error: one or both keys not found"
            return

        for row in d:
            y1 = ""
            y2 = ""
            for key, value in row.iteritems():
                if key == KEY1:
                    y1 = value
                if key == KEY2:
                    y2 = value
                if (y1 != "" and y2 != "" and y1 != y2):
                    print "Error: " + y1 + " " + y2


if __name__ == '__main__':
    main()

